## org.jibx.runtime.impl
Class UTF8StreamWriter

    java.lang.Object
      org.jibx.runtime.impl.XMLWriterNamespaceBase
          org.jibx.runtime.impl.XMLWriterBase
              org.jibx.runtime.impl.StreamWriterBase
                  org.jibx.runtime.impl.UTF8StreamWriter

All Implemented Interfaces:
  IXMLWriter

    public class UTF8StreamWriter

extends StreamWriterBase

Handler for marshalling text document to a UTF-8 output stream.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Constructor Summary
`UTF8StreamWriter(java.lang.String[] uris)` Constructor.
`UTF8StreamWriter(UTF8StreamWriter base, java.lang.String[] uris)` Copy constructor.

Method Summary
`IXMLWriter` `createChildWriter(java.lang.String[] uris)` Create a child writer instance to be used for a separate binding.
`void` `writeCData(java.lang.String text)` Write CDATA text to document.
`void` `writeTextContent(java.lang.String text)` Write ordinary character data text content to document.

Methods inherited from class org.jibx.runtime.impl.StreamWriterBase
`close, flush, indent, indent, popExtensionNamespaces, pushExtensionNamespaces, reset, setIndentSpaces, setOutput`

Methods inherited from class org.jibx.runtime.impl.XMLWriterBase
`addAttribute, closeEmptyTag, closeStartTag, endTag, startTagClosed, startTagNamespaces, startTagOpen, writeComment, writeDocType, writeEntityRef, writePI, writeXMLDecl`

Methods inherited from class org.jibx.runtime.impl.XMLWriterNamespaceBase
`getExtensionNamespaces, getNamespaceCount, getNamespacePrefix, getNamespaces, getNamespaceUri, getNestingDepth, getPrefixIndex, openNamespaces`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UTF8StreamWriter

    public UTF8StreamWriter(java.lang.String[] uris)

  Constructor.

  Parameters:
    `uris` - ordered array of URIs for namespaces used in document (must be constant; the value in position 0 must always be the empty string "", and the value in position 1 must always be the XML namespace "http://www.w3.org/XML/1998/namespace")

### UTF8StreamWriter

    public UTF8StreamWriter(UTF8StreamWriter base,
                            java.lang.String[] uris)

  Copy constructor. This takes the stream from a supplied instance, while setting a new array of namespace URIs. It's intended for use when invoking one binding from within another binding.

  Parameters:
    `base` - instance to be used as base for writer
    `uris` - ordered array of URIs for namespaces used in document (see `UTF8StreamWriter(String[])`)

Method Detail

### writeTextContent

    public void writeTextContent(java.lang.String text)
                          throws java.io.IOException

  Write ordinary character data text content to document.

  Parameters:
    `text` - content value text
  Throws:
    `java.io.IOException` - on error writing to document

### writeCData

    public void writeCData(java.lang.String text)
                    throws java.io.IOException

  Write CDATA text to document.

  Parameters:
    `text` - content value text
  Throws:
    `java.io.IOException` - on error writing to document

### createChildWriter

    public IXMLWriter createChildWriter(java.lang.String[] uris)

  Create a child writer instance to be used for a separate binding. The child writer inherits the stream and encoding from this writer, while using the supplied namespace URIs.

  Specified by:
    `createChildWriter` in class `XMLWriterBase`
  Parameters:
    `uris` - ordered array of URIs for namespaces used in document (see `UTF8StreamWriter(String[])`)
  Returns:
    child writer

Project Web Site |